Bug 500620 - rdesktop-debuginfo is empty
rdesktop-debuginfo is empty
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rdesktop (Show other bugs)
5.4
All Linux
low Severity medium
: rc
: ---
Assigned To: Søren Sandmann Pedersen
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-13 09:32 EDT by Alexander Todorov
Modified: 2014-06-18 05:11 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 07:12:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Todorov 2009-05-13 09:32:44 EDT
Description of problem:
rdesktop-debuginfo is empty although rdesktop contains ELF objects

Version-Release number of selected component (if applicable):
rdesktop-debuginfo-1.6.0-2.i386.rpm

How reproducible:
always

Steps to Reproduce:
1. rpm -qpl rdesktop-debuginfo-1.6.0-2.i386.rpm
2.
3.
  
Actual results:
empty package

Expected results:
package containing debugging information

Additional info:
Comment 2 Søren Sandmann Pedersen 2009-06-24 08:40:33 EDT
rdesktop 1.6.0 strips the binary before installing; it's simple to fix:

Index: rdesktop.spec
===================================================================
RCS file: /cvs/dist/rpms/rdesktop/RHEL-5/rdesktop.spec,v
retrieving revision 1.29
diff -u -r1.29 rdesktop.spec
--- rdesktop.spec       4 May 2009 09:45:22 -0000       1.29
+++ rdesktop.spec       24 Jun 2009 12:39:06 -0000
@@ -32,7 +32,7 @@
 
 %install
 rm -rf $RPM_BUILD_ROOT
-make install DESTDIR=$RPM_BUILD_ROOT
+%makeinstall STRIP=/bin/true
 
 %clean
 rm -rf $RPM_BUILD_ROOT
Comment 7 Xiaohong Wang 2009-07-26 23:52:04 EDT
Verified in rdesktop-1.6.0-3, the bug has been fixed already. So change the status to be VERIFIED.

# rpm -qpl rdesktop-debuginfo-1.6.0-3.i386.rpm 
/usr/lib/debug
/usr/lib/debug/usr
/usr/lib/debug/usr/bin
/usr/lib/debug/usr/bin/rdesktop.debug
/usr/src/debug/rdesktop-1.6.0
/usr/src/debug/rdesktop-1.6.0/bitmap.c
/usr/src/debug/rdesktop-1.6.0/cache.c
/usr/src/debug/rdesktop-1.6.0/channels.c
/usr/src/debug/rdesktop-1.6.0/cliprdr.c
/usr/src/debug/rdesktop-1.6.0/disk.c
/usr/src/debug/rdesktop-1.6.0/ewmhints.c
/usr/src/debug/rdesktop-1.6.0/iso.c
/usr/src/debug/rdesktop-1.6.0/licence.c
/usr/src/debug/rdesktop-1.6.0/lspci.c
/usr/src/debug/rdesktop-1.6.0/mcs.c
/usr/src/debug/rdesktop-1.6.0/mppc.c
/usr/src/debug/rdesktop-1.6.0/orders.c
/usr/src/debug/rdesktop-1.6.0/orders.h
/usr/src/debug/rdesktop-1.6.0/parallel.c
/usr/src/debug/rdesktop-1.6.0/parse.h
/usr/src/debug/rdesktop-1.6.0/printer.c
/usr/src/debug/rdesktop-1.6.0/printercache.c
/usr/src/debug/rdesktop-1.6.0/proto.h
/usr/src/debug/rdesktop-1.6.0/pstcache.c
/usr/src/debug/rdesktop-1.6.0/rdesktop.c
/usr/src/debug/rdesktop-1.6.0/rdp.c
/usr/src/debug/rdesktop-1.6.0/rdp5.c
/usr/src/debug/rdesktop-1.6.0/rdpdr.c
/usr/src/debug/rdesktop-1.6.0/rdpsnd.c
/usr/src/debug/rdesktop-1.6.0/rdpsnd.h
/usr/src/debug/rdesktop-1.6.0/rdpsnd_dsp.c
/usr/src/debug/rdesktop-1.6.0/rdpsnd_oss.c
/usr/src/debug/rdesktop-1.6.0/scard.c
/usr/src/debug/rdesktop-1.6.0/scard.h
/usr/src/debug/rdesktop-1.6.0/seamless.c
/usr/src/debug/rdesktop-1.6.0/secure.c
/usr/src/debug/rdesktop-1.6.0/serial.c
/usr/src/debug/rdesktop-1.6.0/ssl.c
/usr/src/debug/rdesktop-1.6.0/tcp.c
/usr/src/debug/rdesktop-1.6.0/types.h
/usr/src/debug/rdesktop-1.6.0/xclip.c
/usr/src/debug/rdesktop-1.6.0/xkeymap.c
/usr/src/debug/rdesktop-1.6.0/xwin.c
Comment 9 errata-xmlrpc 2009-09-02 07:12:01 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1417.html

Note You need to log in before you can comment on or make changes to this bug.